//
//Sky
//

textures/ut4_mercury_beta1/mercurysky
{
	q3map_lightimage env/mercurysky/mercurysky_dn.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 300
	//q3map_skylight 100 3

	skyparms env/mercurysky/mercury - -
}


//
//Lava
//
textures/ut4_mercury_beta1/lava
{
	q3map_lightimage textures/ut4_mercury_beta1/lava.jpg
	q3map_globaltexture
	//surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	//surfaceparm lava
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 512
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/ut4_mercury_beta1/lava.jpg
		tcMod turb 0 .2 0 .05
	}
}

textures/ut4_mercury_beta1/reallava
{
	q3map_lightimage textures/ut4_mercury_beta1/lava.jpg
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 512
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/ut4_mercury_beta1/lava.jpg
		tcMod turb 0 .2 0 .05
	}
}

//
//Pad
//

textures/ut4_mercury_beta1/pad1
{
	qer_editorimage textures/ut4_mercury_beta1/sol8_pad2_blend.jpg
	q3map_lightimage textures/ut4_mercury_beta1/sol8_pad2_blend.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_surfacelight 2400
	{
		map textures/ut4_mercury_beta1/sol8_pad2_blend.jpg
		blendfunc add
		rgbGen wave inversesawtooth 0 1.2 2 0.6 
	}
}




//
//Lamp
//

textures/ut4_mercury_beta1/flame
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_lightimage textures/sfx/flame1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_surfacelight 6000
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10 
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbGen wave sin 0.6 0.2 0 0.6 
	}
}

textures/ut4_mercury_beta1/light1_15000
{
	qer_editorimage textures/ut4_mercury_beta1/light1.tga
	q3map_lightimage textures/ut4_mercury_beta1/light1_glow.tga
	surfaceparm nomarks
    	surfaceparm nodamage
	q3map_surfacelight 15000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_mercury_beta1/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ut4_mercury_beta1/light1_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_mercury_beta1/light100
{
	qer_editorimage textures/ut4_mercury_beta1/light1_glow.jpg
	q3map_lightimage textures/ut4_mercury_beta1/light1_glow.jpg

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact

	q3map_surfacelight 100
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ut4_mercury_beta1/jlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut4_mercury_beta1/light500
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_lightimage textures/sfx/flame1.tga

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact

	q3map_surfacelight 500
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ut4_mercury_beta1/jlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}


//
//Glass
//

textures/ut4_mercury_beta1/glass
{
        qer_editorimage textures/effects/tinfx.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
        {
                map textures/effects/tinfx.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

textures/ut4_mercury_beta1/slickglass
{
        qer_editorimage textures/effects/tinfx.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
        surfaceparm slick
        {
                map textures/effects/tinfx.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

//
//Spawn
//

textures/ut4_mercury_beta1/metal1
{
    qer_editorimage textures/ut4_mercury_beta1/bmetal1.jpg
    surfaceparm nodamage
    surfaceparm metalsteps
    {
        map textures/ut4_mercury_beta1/bmetal1.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/bjumplamp5
{
	qer_editorimage textures/ut4_mercury_beta1/lamp5.jpg
	q3map_lightimage textures/ut4_mercury_beta1/lamp5_glow.jpg
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 1200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_mercury_beta1/lamp5.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_mercury_beta1/lamp5_glow.jpg
		blendfunc add
		rgbGen identity
	}
}

//
//Ladder
//

textures/ut4_mercury_beta1/ladderm
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/ut4_mercury_beta1/tudor_window
{
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none   
    {
        map textures/ut4_mercury_beta1/tudor_window.tga
    }
    {
        map $lightmap
        blendfunc add
    }	
}


//
//Wall Ground Ceiling
//


textures/ut4_mercury_beta1/matbrown_lgt2
{
    qer_editorimage textures/ut4_mercury_beta1/matbrown_lgt2.jpg
    surfaceparm nodamage
    {
        map textures/ut4_mercury_beta1/matbrown_lgt2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/matbrown_lgt2s
{
    qer_editorimage textures/ut4_mercury_beta1/matbrown_lgt2.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ut4_mercury_beta1/matbrown_lgt2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/matgrey_lgt2
{
    qer_editorimage textures/ut4_mercury_beta1/matgrey_lgt2.jpg
    surfaceparm nodamage
    {
        map textures/ut4_mercury_beta1/matgrey_lgt2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/matgrey_lgt2s
{
    qer_editorimage textures/ut4_mercury_beta1/matgrey_lgt2.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ut4_mercury_beta1/matgrey_lgt2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/nunukc
{
    qer_editorimage textures/ut4_mercury_beta1/nunukc.jpg
    surfaceparm nodamage
    {
        map textures/ut4_mercury_beta1/nunukc.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/nunukcs
{
    qer_editorimage textures/ut4_mercury_beta1/nunukc.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ut4_mercury_beta1/nunukc.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/nunuk-bluedark
{
    qer_editorimage textures/ut4_mercury_beta1/nunuk-bluedark.jpg
    surfaceparm nodamage
    {
        map textures/ut4_mercury_beta1/nunuk-bluedark.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/nunuk-bluedarks
{
    qer_editorimage textures/ut4_mercury_beta1/nunuk-bluedark.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ut4_mercury_beta1/nunuk-bluedark.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/rocks
{
    qer_editorimage textures/ut4_mercury_beta1/rocks.jpg
    surfaceparm nodamage
    {
        map textures/ut4_mercury_beta1/rocks.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}


//
//Wood
//

textures/ut4_mercury_beta1/wood27
{
    qer_editorimage textures/ut4_mercury_beta1/wood27.jpg
    surfaceparm nodamage
    {
        map textures/ut4_mercury_beta1/wood27.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/wood27s
{
    qer_editorimage textures/ut4_mercury_beta1/wood27.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ut4_mercury_beta1/wood27.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/wood18
{
    qer_editorimage textures/ut4_mercury_beta1/wood18.tga
    surfaceparm nodamage
    {
        map textures/ut4_mercury_beta1/wood18.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_mercury_beta1/wood18s
{
    qer_editorimage textures/ut4_mercury_beta1/wood18.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ut4_mercury_beta1/wood218.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

